
package com.google.api.ads.adwords.jaxws.v201109_1.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Used to switch a campaign's bidding strategy to conversion optimizer.
 *           
 * 
 * <p>Java class for ConversionOptimizerBiddingTransition complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ConversionOptimizerBiddingTransition">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201109_1}BiddingTransition">
 *       &lt;sequence>
 *         &lt;element name="useSavedBids" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ConversionOptimizerBiddingTransition", propOrder = {
    "useSavedBids"
})
public class ConversionOptimizerBiddingTransition
    extends BiddingTransition
{

    protected Boolean useSavedBids;

    /**
     * Gets the value of the useSavedBids property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isUseSavedBids() {
        return useSavedBids;
    }

    /**
     * Sets the value of the useSavedBids property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setUseSavedBids(Boolean value) {
        this.useSavedBids = value;
    }

}
